<?php
/**
 * The template for displaying aside
 *
 * @package WPlook
 * @subpackage BlogoLife Pro
 * @since BlogoLife Pro 1.0.0
 */
?>
<?php global $options;
foreach ($options as $value) {
	if (isset($value['id']) && get_option( $value['id'] ) === FALSE && isset($value['std'])) {
		$$value['id'] = $value['std'];
	}
	elseif (isset($value['id'])) { $$value['id'] = get_option( $value['id'] ); }
}?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="col1 fleft">
		<div class="postformat">
			<div class="format-icon"></div>
			<div class="left-corner"></div>
		</div>
	</div>
	<div class="col2 fright">
		<?php if ( is_search() ) : // Only display Excerpts for Search ?>
			<div class="entry-content">
					<?php the_excerpt(); ?>
			</div><!-- .entry-summary -->
		<?php else : ?>	
			<div class="entry-content">
				<?php
					if($post->post_excerpt == ''){ the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'wplook' ) ); 
						wp_link_pages( array( 'before' => '<div class="clear"></div><div class="page-link"><span>' . __( 'Pages:', 'wplook' ) . '</span>', 'after' => '</div>' ) ); 
						if ( is_single() && ($wpl_share_buttons_post == '' || $wpl_share_buttons_post == 'Display') ) : wplook_social_buttons(); endif;
						} else {
						the_excerpt();
					}
				?>
			</div><!-- .entry-content -->
		<?php endif; ?>	
		<footer class="entry-meta">
			<?php // display or not the date below the posts  
				if ($wpl_display_date_post == '' || $wpl_display_date_post == 'Display') { ?>
				<div class="date-i fleft"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'wplook' ), the_title_attribute( 'echo=0' ) ); ?>" rel="nofollow"><?php wplook_get_date_time();?></a></div>
			<?php } // end ?> 
		
			<?php if ( comments_open() ) : ?>
			<div class="comment-i fleft"><?php comments_popup_link(__('No comments', 'wplook'), __('1 comment', 'wplook'), __('% comments', 'wplook'), 'comments-link', __('Comments off', 'wplook')); ?></div>
			<?php endif; ?>
			
			<?php // display or not the author below the posts  
					if ($wpl_display_author_post == '' || $wpl_display_author_post == 'Display') { ?>
						<div class="author-i fleft"><?php wplook_get_author();?></div>
				<?php } // end ?>
		
			<?php edit_post_link( __( 'Edit', 'wplook' ), '<div class="edit-i fright">', '</div>' ); ?>
			<div class="clear"></div>
		</footer>
	</div><div class="clear"></div>
</article>	
<?php if ( is_single() && ($wpl_next_preview_post == '' || $wpl_next_preview_post == 'Display') ) :  wplook_prev_next();  endif; ?>