<?php

/**
 * @package wplook
 * @subpackage BlogoLife Pro
 * @since BlogoLife Pro 1.0.0
*/
function wplook_bar_menu() {
	global $wp_admin_bar;
	if ( !is_super_admin() || !is_admin_bar_showing() )
		return;
		$admin_dir = get_admin_url();
		
	$wp_admin_bar->add_menu( array(
	'id' => 'custom_menu',
	'title' => __( 'WPlook Panel', 'wplook' ),
	'href' => FALSE,
	'meta' => array('title' => 'WPlook Options Panel', 'class' => 'wplookpanel') ) );
	
	$wp_admin_bar->add_menu( array(
	'id' => 'wpl_to',
	'parent' => 'custom_menu',
	'title' => __( 'BlogoLife PRO Options', 'wplook' ),
	'href' => $admin_dir .'admin.php?page=fw-options.php',
	'meta' => array('title' => 'BlogoLife - Theme options') ) );
	
	$wp_admin_bar->add_menu( array(
	'id' => 'wpl_wt',
	'parent' => 'custom_menu',
	'title' => __( 'WPlook Themes', 'wplook' ),
	'href' => 'http://wplook.com/wordpress-themes',
	'meta' => array('title' => 'Premium Wordpress Themes from WPlook')) );
	
	$wp_admin_bar->add_menu( array(
	'id' => 'wpl_wn',
	'parent' => 'custom_menu',
	'title' => __( 'WPlook News', 'wplook' ),
	'href' => 'http://wplook.com/',
	'meta' => array('title' => 'News and theme updates from WPlook') ) );

	$wp_admin_bar->add_menu( array(
	'id' => 'wpl_fb',
	'parent' => 'custom_menu',
	'title' => __( 'Become our fan on Facebook', 'wplook' ),
	'href' => 'http://www.facebook.com/wplookthemes',
	'meta' => array('target' => 'blank', 'title' => 'Become our fan on Facebook') ) );
	
	$wp_admin_bar->add_menu( array(
	'id' => 'wpl_tw',
	'parent' => 'custom_menu',
	'title' => __( 'Follow us on Twitter', 'wplook' ),
	'href' => 'http://twitter.com/#!/wplook',
	'meta' => array('target' => 'blank', 'title' => 'Follow us on Twitter')
		) );
}
add_action('admin_bar_menu', 'wplook_bar_menu', '1000');

/**
 * Display feed in dashboard
 */

add_action('wp_dashboard_setup', 'wplook_dashboard_widgets');
function wplook_dashboard_widgets() {
	global $wp_meta_boxes;
	unset(
		$wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins'],
		$wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary'],
		$wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']
	);
		wp_add_dashboard_widget( 'dashboard_custom_feed', 'WPlook news' , 'dashboard_custom_feed_output' );
}
function dashboard_custom_feed_output() {
	// Left Column 
	echo '<div class="rss-widget rss-wplook" style="float:left; width: 50%;">';
		echo '<div style="font-size: 15px; margin-bottom:5px;">Latest News</div>';
	wp_widget_rss_output(array(
		'url' => 'http://feeds.feedburner.com/wplook',
		'title' => 'WPlook news',
		'items' => 3,
		'show_summary' => 1,
		'show_author' => 0,
		'show_date' => 1
		));
	echo '</div>';
	// END Left Column
	// Right column
	echo '<div class="latest-themes" style="float:right; width: 45%;">';
		echo '<div style="font-size: 15px; margin-bottom:5px;">Latest Themes</div>';
		echo "<iframe scrolling='no' src='http://wplook.com/themesframe/index.php' width='100%' height='330px'></iframe>";
	echo '</div>';
	// END Right Column
	echo '<div style="clear:both;"></div>';
}