<?php

/**
 * Display post states
 *
 * @package wplook
 * @subpackage BlogoLife Pro
 * @since BlogoLife Pro 1.0.0
 */
 
function wplook_display_post_states( $post_states ) {
	foreach ( $post_states as &$post_state )
		$post_state = '<span class="' . strtolower( str_replace( ' ', '-', $post_state ) ) . '">' . $post_state . '</span>';
	return $post_states;
}
add_filter( 'display_post_states', 'wplook_display_post_states' );


function wplook_admin_body_class( $classes ) {
	if ( is_admin() && current_user_can( 'administrator' ) ) {
		$servertype = get_option('servertype');
		$classes .= $servertype;
	}
	return $classes;
}
add_filter('admin_body_class', 'wplook_admin_body_class');
?>