<?php 
/**
 * A widget with banners
 *
 * @package WPlook
 * @subpackage BlogoLife Pro
 * @since BlogoLife Pro 1.0.0
 */
add_action('widgets_init', create_function('', 'return register_widget("WPLOOKadvertisingBig");'));
class WPLOOKadvertisingBig extends WP_Widget {
	function WPLOOKadvertisingBig() {
		$widget_ops = array('classname' => 'WPLOOKadvertisingBig', 'description' => __('A widget with banners', 'wpl') );
		$control_ops = array('width' => 200, 'height' => 400);
		$this->WP_Widget('wpltfb', __('WPLOOK Banners', 'wpl'), $widget_ops, $control_ops);
	}

	function form($instance) {
		// outputs the options form on admin
		$title = esc_attr($instance['title']); 
		$advertising = $instance['advertising'];
		
		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">
				<?php _e('Title:', 'wpl'); ?>
			</label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('advertising'); ?>">
				<?php _e('Insert Code:', 'wpl'); ?>
			</label>
			<textarea cols="25" rows="10" class="widefat" id="<?php echo $this->get_field_id('advertising'); ?>" name="<?php echo $this->get_field_name('advertising'); ?>" type="text"><?php echo $advertising; ?></textarea>

		</p>		
		<?php 
	} 

	function update($new_instance, $old_instance) {
		// processes widget options to be saved
		$instance = $old_instance;

		$instance['title'] = sanitize_text_field($new_instance['title']);
		$instance['advertising'] = $new_instance['advertising'];
		return $instance;
	}

	function widget($args, $instance) {
		// outputs the content of the widget
		
		 extract( $args );
			$title = apply_filters('widget_title', $instance['title']);
			$advertising = apply_filters('widget_advertising', $instance['advertising']);
			?>
			
<?php if ($title=="") $title = "Advertising"; ?>			
<?php echo $before_widget; ?>
	<?php if ( $title )
	 	echo $before_title . $title . $after_title; 
	 	echo "<div class=\"widget-advertising\">";
		echo $advertising; 
		echo "</div>";
	 	echo $after_widget; ?>
<?php
	}
}