<?php 
/**
 * Social Buttons
 *
 * @package wplook
 * @since BlogoLife Pro 1.0.0
 */
 
 add_filter('oembed_providers','twitter_oembed');
function twitter_oembed($a) {
	$a['#http(s)?://(www\.)?twitter.com/.+?/status(es)?/.*#i'] = array( 'http://api.twitter.com/1/statuses/oembed.{format}', true);
	return $a;
}

function wplook_open_graph() {
		global $wp_query;
		$wplook_postid = $wp_query->post->ID;
		$wplook_title = single_post_title('', false);
		$wplook_url = get_permalink($wplook_postid);
		$wplook_blogname = get_bloginfo('name');
			echo "\n<meta property='og:title' content='$wplook_title' />",			
				"\n<meta property='og:site_name' content='$wplook_blogname' />",				
				"\n<meta property='og:url' content='$wplook_url' />",				
				"\n<meta property='og:type' content='article' />";

		}
		add_action('wp_head', 'wplook_open_graph');
//
add_image_size( 'wplook-fb-thumb', 320, 213, true );

function wplook_fb_thumb() {
if ( is_single() || is_page() ) {
	if (has_post_thumbnail()) {
	$fbthumb = wp_get_attachment_image_src(get_post_thumbnail_id(), 'wplook-fb-thumb');
	$fbthumburl = $fbthumb[0];
	echo "\n<meta property='og:image' content='$fbthumburl' />\n";
	}
	}
}
add_action( 'wp_head', 'wplook_fb_thumb' );


function wplook_social_buttons() { ?>
	<div class="social-buttons">
	<a href="http://twitter.com/share" class="twitter-share-button" data-url="<?php echo get_permalink(); ?>">Tweet</a>
	<g:plusone size="medium" href="<?php echo get_permalink(); ?>"></g:plusone>
	<fb:like href="<?php echo get_permalink(); ?>" send="true" layout="button_count" width="200" show_faces="true"></fb:like>
	</div>
<?php } ?>
