<?php
/**
 * The right sidebar file. By default we show Archives and Meta
 * @package WPlook
 * @subpackage BlogoLife
 * @since BlogoLife Pro 1.0.0
*/?>
<div id="secondary" class="widget-area" role="complementary">
	
	<?php if (is_singular() || is_author () ){ ?>
	<?php if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries ?>
			<aside id="authorbio" class="widget">
				<div class="widget-title">	<h3><?php echo get_the_author(); ?></h3>
					<div class="right-corner"></div>
				</div>
				
				<div class="widget_content">
					<div class="entry-author-info">
						<p class="author-description">
							<a class="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
								<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'twentyten_author_bio_avatar_size', 75 ) ); ?>
							</a>
							<?php the_author_meta( 'description' ); ?>
						</p>
						<div class="clear"></div>
					</div><!-- #entry-author-info -->
				</div>		
			</aside>
	<?php endif; ?>
	<?php 
	}
?>
	<?php if ( ! dynamic_sidebar( 'sidebar-1' ) ) : ?>
		<aside id="archives" class="widget">
			<div class="widget-title">	<h3><?php _e( 'Archives', 'wplook' ); ?></h3>
				<div class="right-corner"></div>
			</div>
			<ul>
				<?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
				
			</ul>
		</aside>
		<aside id="meta" class="widget">
			<div class="widget-title">	<h3><?php _e( 'Meta', 'wplook' ); ?></h3>
				<div class="right-corner"></div>
			</div>
			<ul>
				<?php wp_register(); ?>
				<li><?php wp_loginout(); ?></li>
				<?php wp_meta(); ?>
			</ul>
		</aside>
	<?php endif; // end sidebar widget area ?>
</div><!-- #secondary .widget-area -->
<div class="clear"></div>